close all

% Build mesh from .geo file 
meshfile=gmsh.buildmesh2d('square4dom',10,'force',true);                    
Th=siMesh(meshfile);

tstart=tic();
figure(1);
Th.plot('legend',true)
set(legend(),'Location','NorthEastOutside')
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
Th.plot('color',[0.85,0.85,0.85],'legend',false)
hold on
Th.plot('d',1,'Linewidth',2,'legend',true);
set(legend(),'Location','NorthEastOutside')
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))
fc_tools.graphics.DisplayFigures();